<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Forminäidis</title>
</head>

<body>
    <h1>Palun täida alljärgnev vorm</h1>
    <form action="https://frogaccelerator.com/submit-app/" method="POST" enctype="multipart/form-data">

        Eesnimi: <br>
        <input type="text" name="firstName" required minlength="3" maxlength="25"> <br><br>

        Perenimi: <br>
        <input type="text" name="lastName" required minlength="3" maxlength="25"> <br><br>

        Sugu: <br>
        <select name="gender" required>
            <option value=""></option>
            <option value="M">Mees</option>
            <option value="F">Naine</option>
        </select> <br><br>

        Sünniaeg: <br>
        <input type="date" name="dateOfBirth" required> <br><br>

        Perekonnaseis: <br>
        <input type="radio" name="maritalStatus" value="Vallaline" id="maritalStatusSingle" required>
        <label for="maritalStatusSingle">Vallaline</label><br>
        <input type="radio" name="maritalStatus" value="Abielus" id="maritalStatusMarried">
        <label for="maritalStatusMarried">Abielus</label><br>
        <input type="radio" name="maritalStatus" value="Vabaabielus" id="maritalStatusCommitted">
        <label for="maritalStatusCommitted">Vabaabielus</label><br><br>

        E-post: <br>
        <input type="email" name="email" required> <br><br>

        Password: <br>
        <input type="password" name="password" required> <br><br>

        Hobid: <br>
        <input type="checkbox" name="hobbies[]" value="Jooksmine" id="hobbiesRunning">
        <label for="hobbiesRunning">Jooksmine</label> <br>
        <input type="checkbox" name="hobbies[]" value="Suusatamine" id="hobbiesSkiing">
        <label for="hobbiesSkiing">Suusatamine</label> <br>
        <input type="checkbox" name="hobbies[]" value="Ujumine" id="hobbiesSwimming">
        <label for="hobbiesSwimming">Ujumine</label> <br><br>

        Külastatud välisriikide arv: <br>
        <input type="number" name="numberOfVisitedCountries" 
            required min="1" max="200" step="1" pattern="\d*"> <br><br>

        Portreepilt: <br>
        <input type="file" name="photo" required> <br><br>

        <br>
        <button type="submit">Saada</button> 
        <button type="reset">Algväärtusta</button>
    </form>
</body>

</html>